Bug 369861 - segfault in eclipse while compiling java code
segfault in eclipse while compiling java code
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Andrew Haley
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-07 11:48 EST by Colin Walters
Modified: 2008-07-15 11:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-15 11:52:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error log (50.98 KB, text/plain)
2007-11-07 11:48 EST, Colin Walters
no flags Details
Error log (68.20 KB, text/plain)
2007-11-13 05:56 EST, Paul Black
no flags Details
Stack trace of Segfault (41.30 KB, text/plain)
2008-02-01 13:07 EST, Lillian Angel
no flags Details

  None (edit)
Description Colin Walters 2007-11-07 11:48:03 EST
Description of problem:

Eclipse consistently segfaults when trying to compile a checkout of the Mugshot
source tree.

Version-Release number of selected component (if applicable):
java-1.7.0-icedtea-1.7.0.0-0.19.b21.snapshot.fc8
eclipse-platform-3.3.0-30.fc8

How reproducible:
100%

Steps to Reproduce:
1. Check out http://svn.mugshot.org/dumbhippo/trunk/
2. Import into project
3. Compile
Comment 1 Colin Walters 2007-11-07 11:48:03 EST
Created attachment 250391 [details]
error log
Comment 2 Paul Black 2007-11-13 05:55:39 EST
I'm seeing the same whilst trying to synchronize a CVS repository inside
Eclipse. Using the java-1.5.0 VM is fine.
Comment 3 Paul Black 2007-11-13 05:56:00 EST
Created attachment 256771 [details]
Error log
Comment 4 Lillian Angel 2008-02-01 10:29:55 EST
I can get this segfault with both IcedTea and OpenJDK. This is a problem we need
to track down in OpenJDK and report upstream.
Comment 5 Lillian Angel 2008-02-01 13:07:57 EST
Created attachment 293751 [details]
Stack trace of Segfault

Stack traces (from all threads) of segfault and abort signal received at the
exact moment eclipse crashes. (used fcatch)
Comment 6 Lillian Angel 2008-02-04 13:07:30 EST
I reported this upstream with a stack trace/hs_err_pid*.log relevant to openjdk.
I will post the link to the bug report as soon as it is accepted.
Comment 7 Lillian Angel 2008-02-04 15:22:50 EST
For the time being, you can use this work around:

run eclipse with "-vm /path/to/lib/i386/libjvm.so" instead of "-vm
/path/to/bin/java"
Comment 8 Lillian Angel 2008-02-08 11:30:34 EST
This has been determined a bug by Sun. It will probably show up in a day or two,
here:
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6661016
Comment 9 Lillian Angel 2008-07-15 11:43:50 EDT
Fixed upstream. Will be in the next update
Comment 10 Lillian Angel 2008-07-15 11:52:57 EDT
Updated in rawhide, will be in soon.

Note You need to log in before you can comment on or make changes to this bug.